%define upstream_name    Math-VectorReal
%define upstream_version 1.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Handling 3D Vector Mathematics
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
The 'Math::VectorReal' package defines a 3D mathematical "vector", in a way
that is compatible with the previous CPAN module 'Math::MatrixReal'.
However it provides a more vector oriented set of mathematical functions
and overload operators, to the 'MatrixReal' package. For example the normal
perl string functions "x" and "." have been overloaded to allow vector
cross and dot product operations. Vector math formula thus looks like
vector math formula in perl programs using this package.

While this package is compatible with Math::MatrixReal, you DO NOT need to
have that package to perform purely vector orientated calculations. You
will need it however if you wish to do matrix operations with these
vectors. The interface has been designed with this package flexibility in
mind.

The vectors are defined in the same way as a "row" 'Math::MatrixReal'
matrix, instead of that packages choice of "column" definition for vector
operations. Such vectors are multiplied to matrices with the vector on the
left and the matrix on the right. EG: v * M -> 'v

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.20.0-10.mga9
+ Revision: 1804461
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.20.0-9.mga8
+ Revision: 1495584
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.20.0-8.mga7
+ Revision: 1269242
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.20.0-7.mga6
+ Revision: 1029836
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.20.0-6.mga6
+ Revision: 938981
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0-5.mga5
+ Revision: 745414
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.20.0-4.mga5
+ Revision: 685387
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 369686
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 05 2011 kharec <kharec> 1.20.0-1.mga2
+ Revision: 163258
- imported package perl-Math-VectorReal


* Sat Nov 05 2011 cpan2dist 1.02-1mga
- initial mageia release, generated with cpan2dist
